TypeScript
import { Configuration, OrderChannelsApi } from "@zippendo/sdk"
const api = new OrderChannelsApi(new Configuration({ accessToken: process.env.ZIPPENDO_API_TOKEN }))
const result = await api.getOrderChannelWebhookStatus({ orgId: "...", channelId: "..." })import os
import zippendo
config = zippendo.Configuration(access_token=os.environ["ZIPPENDO_API_TOKEN"])
with zippendo.ApiClient(config) as client:
result = zippendo.OrderChannelsApi(client).get_order_channel_webhook_status("...", "...")<?php
$config = Zippendo\Sdk\Configuration::getDefaultConfiguration()->setAccessToken(getenv("ZIPPENDO_API_TOKEN"));
$api = new Zippendo\Sdk\Api\OrderChannelsApi(new GuzzleHttp\Client(), $config);
$result = $api->getOrderChannelWebhookStatus("...", "...");client := zippendo.NewAPIClient(zippendo.NewConfiguration())
ctx := context.WithValue(context.Background(), zippendo.ContextAccessToken, os.Getenv("ZIPPENDO_API_TOKEN"))
result, _, err := client.OrderChannelsAPI.GetOrderChannelWebhookStatus(ctx, "...", "...").Execute()require "zippendo"
Zippendo.configure { |c| c.access_token = ENV["ZIPPENDO_API_TOKEN"] }
result = Zippendo::OrderChannelsApi.new.get_order_channel_webhook_status("...", "...")curl --request GET \
--url https://api.zippendo.com/orgs/{orgId}/order-channels/{channelId}/webhooks \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zippendo.com/orgs/{orgId}/order-channels/{channelId}/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.zippendo.com/orgs/{orgId}/order-channels/{channelId}/webhooks")
.header("Authorization", "Bearer <token>")
.asString();{
"enabled": true,
"webhookUrl": "https://api.zippendo.dk/webhooks/order-channels/clz9k2f0a0001abcd1234efgh",
"webhooks": [
{
"id": 1234567890,
"topic": "ORDERS_CREATE",
"address": "https://api.zippendo.dk/webhooks/order-channels/clz9k2f0a0001abcd1234efgh",
"createdAt": "2026-06-22T14:30:00.000Z",
"deliveryUrl": "https://api.zippendo.dk/webhooks/order-channels/clz9k2f0a0001abcd1234efgh",
"status": "active"
}
]
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}Order Channels
Get channel webhook status
Returns whether webhooks are enabled and lists the webhooks registered with the platform.
GET
/
orgs
/
{orgId}
/
order-channels
/
{channelId}
/
webhooks
TypeScript
import { Configuration, OrderChannelsApi } from "@zippendo/sdk"
const api = new OrderChannelsApi(new Configuration({ accessToken: process.env.ZIPPENDO_API_TOKEN }))
const result = await api.getOrderChannelWebhookStatus({ orgId: "...", channelId: "..." })import os
import zippendo
config = zippendo.Configuration(access_token=os.environ["ZIPPENDO_API_TOKEN"])
with zippendo.ApiClient(config) as client:
result = zippendo.OrderChannelsApi(client).get_order_channel_webhook_status("...", "...")<?php
$config = Zippendo\Sdk\Configuration::getDefaultConfiguration()->setAccessToken(getenv("ZIPPENDO_API_TOKEN"));
$api = new Zippendo\Sdk\Api\OrderChannelsApi(new GuzzleHttp\Client(), $config);
$result = $api->getOrderChannelWebhookStatus("...", "...");client := zippendo.NewAPIClient(zippendo.NewConfiguration())
ctx := context.WithValue(context.Background(), zippendo.ContextAccessToken, os.Getenv("ZIPPENDO_API_TOKEN"))
result, _, err := client.OrderChannelsAPI.GetOrderChannelWebhookStatus(ctx, "...", "...").Execute()require "zippendo"
Zippendo.configure { |c| c.access_token = ENV["ZIPPENDO_API_TOKEN"] }
result = Zippendo::OrderChannelsApi.new.get_order_channel_webhook_status("...", "...")curl --request GET \
--url https://api.zippendo.com/orgs/{orgId}/order-channels/{channelId}/webhooks \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zippendo.com/orgs/{orgId}/order-channels/{channelId}/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.zippendo.com/orgs/{orgId}/order-channels/{channelId}/webhooks")
.header("Authorization", "Bearer <token>")
.asString();{
"enabled": true,
"webhookUrl": "https://api.zippendo.dk/webhooks/order-channels/clz9k2f0a0001abcd1234efgh",
"webhooks": [
{
"id": 1234567890,
"topic": "ORDERS_CREATE",
"address": "https://api.zippendo.dk/webhooks/order-channels/clz9k2f0a0001abcd1234efgh",
"createdAt": "2026-06-22T14:30:00.000Z",
"deliveryUrl": "https://api.zippendo.dk/webhooks/order-channels/clz9k2f0a0001abcd1234efgh",
"status": "active"
}
]
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}{
"error": "Bad Request",
"message": "Failed to create address",
"code": "CARRIER_GLS_WRONG_ADDRESS"
}Authorizations
JWT access token or API token (prefixed with zipp_)
Path Parameters
Organization ID.
Example:
"clz9k2f0a0000abcd0000zzzz"
Order channel ID.
Example:
"clz9k2f0a0001abcd1234efgh"
Response
Default Response
Whether webhooks are enabled for the channel.
Example:
true
Expected callback URL for this channel.
Example:
"https://api.zippendo.dk/webhooks/order-channels/clz9k2f0a0001abcd1234efgh"
Webhooks registered for this channel's callback URL.
Show child attributes
Show child attributes
Was this page helpful?
⌘I